Skip to main content
GET
/
networks
/
webhooks
/
{webhookId}
/
logs
Get Webhook Delivery Logs
curl --request GET \
  --url https://api.eflow.team/v1/networks/webhooks/{webhookId}/logs \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "logs": [
    {
      "network_webhook_log_id": 5801398,
      "network_webhook_id": 50,
      "network_id": 1,
      "unix_timestamp": 1774638805,
      "webhook_url": "https://example.com/webhook",
      "http_method": "post",
      "payload": "{\"network_affiliate_id\":123,\"name\":\"Example Partner\"}",
      "response_code": 200,
      "debug_information": "Source : Webhook 50 (network 1) with target URL https://example.com/webhook. Event : AFFILIATE_UPDATED (object AFFILIATE ID 123).",
      "is_success": true
    }
  ]
}
Retrieve the delivery logs for a specific webhook. Returns a list of all delivery attempts including the payload sent, response code, and debug information for troubleshooting.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

webhookId
integer
required

The webhook ID.

Response

200 - application/json

OK

logs
object[]